<?php

namespace Sibs\Sibs\Controller\Adminhtml\Payments;

use Magento\Backend\App\Action;

class Status extends Action
{
    /**
     * @var \Magento\Framework\View\Result\PageFactory
     */
    protected $resultPageFactory;

    /**
     * @var \Sibs\Sibs\Helper\DataHelper
     */
    protected $sibsHelper;

    /**
     * @param \Magento\Backend\App\Action\Context $context
     * @param \Magento\Framework\View\Result\PageFactory $resultPageFactory
     */
    public function __construct(
        \Magento\Backend\App\Action\Context $context,
        \Magento\Framework\View\Result\PageFactory $resultPageFactory,
        \Sibs\Sibs\Helper\DataHelper $sibsHelper
    ) {
        parent::__construct($context);
        $this->resultPageFactory = $resultPageFactory;
        $this->sibsHelper        = $sibsHelper;
    }

    public function execute()
    {
        $resultPage = $this->resultPageFactory->create();
        $resultPage->getConfig()->getTitle()->set((__('SIBS (Status)')));

        return $resultPage;
    }

    public function getVersion()
    {
        return $this->sibsHelper->getVersion();
    }
}
